Package org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer

## Class ProblemIndicationComposite

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ProblemIndicationComposite

All Implemented Interfaces:
  `org.eclipse.swt.graphics.Drawable`

    public class ProblemIndicationComposite
    extends org.eclipse.swt.widgets.Composite

### Nested Class Summary

Nested Classes
`static class` `ProblemIndicationComposite.TextProvider`

### Field Summary

### Fields inherited from class org.eclipse.swt.widgets.Control

`handle`

### Constructor Summary

Constructors
`ProblemIndicationComposite​(org.eclipse.swt.widgets.Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createControl​(org.eclipse.swt.widgets.Composite parent)`
`Diagnostic` `getDiagnostic()`
`protected org.eclipse.swt.graphics.Image` `getImage()`
`protected String` `getMessage()`
`protected void` `refresh()`
`void` `setDiagnostic​(Diagnostic diagnostic)`
`protected void` `updateDetails()`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, checkSubclass, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList, toString`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBorderWidth, getBounds, getCursor, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getOrientation, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setOrientation, setParent, setRedraw, setRegion, setSize, setSize, setTextDirection, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, checkWidget, dispose, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, reskin, setData, setData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.swt.graphics.Drawable

`isAutoScalable`

### Constructor Detail

#### ProblemIndicationComposite

    public ProblemIndicationComposite​(org.eclipse.swt.widgets.Composite parent,
                                      int style)

Parameters:
  `parent` -
  `style` -

### Method Detail

#### createControl

    protected void createControl​(org.eclipse.swt.widgets.Composite parent)

#### refresh

    protected void refresh()

#### updateDetails

    protected void updateDetails()

#### getImage

    protected org.eclipse.swt.graphics.Image getImage()

#### getMessage

    protected String getMessage()

#### getDiagnostic

    public Diagnostic getDiagnostic()

Returns:

#### setDiagnostic

    public void setDiagnostic​(Diagnostic diagnostic)

Parameters:
  `diagnostic` -